http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=505480

--- a/scripts/away.pl
+++ b/scripts/away.pl
@@ -112,6 +112,7 @@
     {
       # come back from away
       $server->command("AWAY");
+      $am_away=0;
     }
     else
     {
